<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Darknet](./bitburner.darknet.md) &gt; [heartbleed](./bitburner.darknet.heartbleed.md)

## Darknet.heartbleed() method

Uses an exploit to extract log data from a server by sending a malformed heartbeat request. Retrieves the most recent logs on the server. This can be used to get more feedback on authentication attempts. The retrieved logs are removed from the server, unless the "peek" flag is set to true in the provided HeartbleedOptions.

Servers will periodically produce logs themselves, as well, which sometimes are useful, but most times are not.

The speed of capture scales with the number of threads used. See formulas.dnet.getHeartbleedTime for more information. Note that you cannot scrape logs from servers whose required charisma is higher than your charisma level.

**Signature:**

```typescript
heartbleed(host: string, options?: HeartbleedOptions): Promise<DarknetResult & { logs: string[] }>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

host


</td><td>

string


</td><td>

Hostname/IP of the target server. Must be directly connected to the current server.


</td></tr>
<tr><td>

options


</td><td>

[HeartbleedOptions](./bitburner.heartbleedoptions.md)


</td><td>

_(Optional)_ Optional [HeartbleedOptions](./bitburner.heartbleedoptions.md) to modify how the exploit works.


</td></tr>
</tbody></table>

**Returns:**

Promise&lt;[DarknetResult](./bitburner.darknetresult.md) &amp; { logs: string\[\] }&gt;

A promise that resolves to a [DarknetResult](./bitburner.darknetresult.md) object, plus the scraped logs.

## Remarks

RAM cost: 0.6 GB

